#include "convert.h"
#include "models.h"
#include "point.h"
#include "C12832_lcd.h" 
#define CHAR_SIZE 8

Bitmap Converter::convert(int map[][LCD_X]){
    int len = LCD_Y*LCD_X/CHAR_SIZE;
    char char_map[len];
    for(int i = 0; i < len; i++ ){
        char_map[i] = 0;
    }
    for(int i = 0; i < LCD_Y; i++){
        for(int j = 0; j < LCD_X; j++){
            char_map[(i*LCD_X+j)/CHAR_SIZE] |= map[i][j] << ((CHAR_SIZE - 1) - i % CHAR_SIZE);
        }
    }
    return char_map;
    /*
    Bitmap bitmap_converted = {
        LCD_X,
        LCD_Y,
        LCD_X/CHAR_SIZE,
        char_map,
    };
    return bitmap_converted;
    */
}
